[DOCKER] Add DGL to {ci_gpu, demo_cpu, demo_gpu} docker images (#3692)
authorYulun Yao <allen980123@gmail.com>
Fri, 2 Aug 2019 15:51:14 +0000 (08:51 -0700)
committerTianqi Chen <tqchen@users.noreply.github.com>
Fri, 2 Aug 2019 15:51:14 +0000 (08:51 -0700)
* add dgl to docker file

* add dgl to docker file

docker/Dockerfile.ci_gpu
docker/Dockerfile.demo_cpu
docker/Dockerfile.demo_gpu
docker/install/ubuntu_install_dgl.sh [new file with mode: 0644]

index 532516d..5a55301 100644 (file)
@@ -85,6 +85,9 @@ RUN bash /install/ubuntu_install_tflite.sh
 COPY install/ubuntu_install_caffe2.sh /install/ubuntu_install_caffe2.sh
 RUN bash /install/ubuntu_install_caffe2.sh
 
+COPY install/ubuntu_install_dgl.sh /install/ubuntu_install_dgl.sh
+RUN bash /install/ubuntu_install_dgl.sh
+
 RUN pip3 install Pillow
 
 COPY install/ubuntu_install_vulkan.sh /install/ubuntu_install_vulkan.sh
index a9f13bb..9ac27ad 100644 (file)
@@ -38,7 +38,7 @@ RUN echo deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-6.0 main \
 RUN pip3 install matplotlib Image Pillow jupyter[notebook]
 
 # Deep learning frameworks
-RUN pip3 install mxnet tensorflow keras gluoncv
+RUN pip3 install mxnet tensorflow keras gluoncv dgl
 
 # Build TVM
 COPY install/install_tvm_cpu.sh /install/install_tvm_cpu.sh
index 88cc00a..da5af23 100644 (file)
@@ -38,7 +38,7 @@ RUN echo deb http://apt.llvm.org/xenial/ llvm-toolchain-xenial-6.0 main \
 RUN pip3 install matplotlib Image Pillow jupyter[notebook]
 
 # Deep learning frameworks
-RUN pip3 install mxnet tensorflow keras gluoncv
+RUN pip3 install mxnet tensorflow keras gluoncv dgl
 
 # Build TVM
 COPY install/install_tvm_gpu.sh /install/install_tvm_gpu.sh
diff --git a/docker/install/ubuntu_install_dgl.sh b/docker/install/ubuntu_install_dgl.sh
new file mode 100644 (file)
index 0000000..50c5409
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+set -o pipefail
+
+pip3 install dgl